KvsAll:
  label_smoothing: 0.016310582872175905
complex:
  entity_embedder:
    dropout: 0.08641306425712092
    regularize_weight: 0.017035615377444645
  relation_embedder:
    dropout: -0.355276912359341
    regularize_weight: 3.7202864907483997e-08
dataset:
  name: wn18
  num_entities: 40943
  num_relations: 18
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
import:
- complex
- reciprocal_relations_model
lookup_embedder:
  dim: 512
  initialize: uniform_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.005097360318207646
    uniform_:
      a: -0.7833878951504487
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    p: 3
    weighted: true
model: reciprocal_relations_model
negative_sampling:
  implementation: batch
reciprocal_relations_model:
  base_model:
    type: complex
train:
  auto_correct: true
  batch_size: 1024
  loss_arg: .nan
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 3
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.09451761031798325
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

